<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     mod_ispring
 * @copyright   2023 iSpring Solutions Inc.
 * @author      Desktop Team <desktop-team@ispring.com>
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['attempt'] = 'Attempt';
$string['average'] = 'Average grade';
$string['back'] = 'Back';
$string['begintime'] = 'Started';
$string['contentnotfound'] = 'Module content not found';
$string['coursemoduleslisttitle'] = '{$a}: iSpring Modules';
$string['detailedreport'] = 'Detailed report';
$string['duration'] = 'Time spent';
$string['endtime'] = 'Completed';
$string['entitycontent'] = 'iSpring content entity';
$string['entityispring'] = 'iSpring entity';
$string['entitysession'] = 'iSpring session entity';
$string['fieldsetpackage'] = 'Upload file';
$string['first'] = 'First attempt';
$string['globalreport'] = 'Global Report';
$string['grademethod'] = 'Grading method';
$string['grademethod_help'] = 'When multiple attempts are allowed, the final quiz grade can be calculated in the following ways:

* Highest grade of all attempts
* Average (mean) grade of all attempts
* First attempt (all other attempts are ignored)
* Last attempt (all other attempts are ignored)';
$string['highest'] = 'Highest grade';
$string['ispring:addinstance'] = 'Create new iSpring modules';
$string['ispring:preview'] = 'Preview content';
$string['ispring:view'] = 'View';
$string['ispring:viewallreports'] = 'View all reports';
$string['ispring:viewmydetailedreports'] = 'View your own detailed reports';
$string['last'] = 'Last attempt';
$string['maxscore'] = 'Max score';
$string['missinguserfile'] = 'No file selected';
$string['moduledescription'] = 'Description';
$string['modulename'] = 'iSpring Module';
$string['modulenameplural'] = 'iSpring Modules';
$string['myoverviewactionlink'] = 'Attempt';
$string['playbutton'] = 'Start quiz';
$string['pluginadministration'] = 'Administration';
$string['pluginname'] = 'iSpring Module';
$string['previewbutton'] = 'Preview content';
$string['report'] = 'General report';
$string['reportlink'] = 'View';
$string['reportnotfound'] = 'Report not found';
$string['reviewattempt'] = 'View';
$string['reviewresult'] = 'Detailed report';
$string['score'] = 'Awarded score';
$string['sessionnotfound'] = 'Session not found';
$string['status'] = 'Completion status';
$string['statuscomplete'] = 'Completed';
$string['statusfailed'] = 'Failed';
$string['statusinprogress'] = 'In progress';
$string['statuspassed'] = 'Passed';
$string['statusunknown'] = 'Unknown';
$string['studentsessionsreporttitle'] = 'Overview';
$string['uploadcoursefile'] = 'Select a file to upload';
$string['version'] = 'Version';
$string['viewpageinfotext'] = 'Grading method: {$a->grading_method}';